<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_e13e80e20d331face5f56" . "ce9d9be42cd" => base64_decode("cmVzdG9yZV9lcnJvc" . "l9oYW5kbGVy"), "_11def3af2a833468dd0e4ff1f0bc5" . "414" => base64_decode("Li4vY29yZ" . "S9ib290c3" . "RyYXAucGh" . "w"), "_eb3d18600" . "8f632a0f30" . "f9ceb2ecf5" . "d9c" => base64_decode("cmVjb3Zlc" . "g=="), "_dcf86ccc31af7f63af36115aa12" . "b1ee7" => base64_decode("Y2h" . "kaX" . "I="), "_9342063570b40df2075204394b59df" . "59" => base64_decode("Z2V" . "0Y3" . "dk"), "_dda96eb36c5664b9" . "e2bd434a776edb25" => base64_decode("L1BoaW5nT" . "G9nZ2VyLn" . "BocA=="), "_70dc1ee5e25ad6e161d0" . "8e0a3cd16124" => base64_decode("VXBkYXRpbmcgYXBwbGljYXRpb24gaW5zdG" . "VhZA=="), "_7618fa2e44dd7c2de26ed1413b5" . "3cddd" => base64_decode("Ly4uLy4uLy4uL3NldH" . "Vw"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dda96eb36c5" . "664b9e2bd434" . "a776edb25"];
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Util;




class DbInstallTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_9342063570b40df2075204394b59d" . "f59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_dcf86ccc31af7f63af36115" . "aa12b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7618fa2e44dd" . "7c2de26ed1413" . "b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_11def3af2a833468dd0" . "e4ff1f0bc5414"];
        $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e13e80e20d331face5f56" . "ce9d9be42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            $_19eb5dd674f41f73f28cc12c375e91bd->setProperties($this->project->GetProperties());
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Install();
            } catch (AlreadyInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_eb3d186008f632a0f30f9ceb2ecf5d9" . "c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_70dc1ee5" . "e25ad6e16" . "1d08e0a3c" . "d16124"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Update();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_dcf86ccc31af7f63af36115a" . "a12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_dcf86ccc31a" . "f7f63af36115" . "aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}